JPEGPIXI(1)

NIMI
jpegpixi - interpoloi pikseleitä JFIF (JPEG) -kuvatiedostoista

YLEISKATSAUS
jpegpixi [VALITSIN]... LÄHDE KOHDE [[D:]X,Y[,S]|[,SX,SY]]...

KUVAUS
Jpegpixi interpoloi pikseleitä ja pikselialueita JFIF-kuvatiedostoissa (joita kutsutaan yleensä "JPEG-kuviksi"). Interpoloimalla voidaan korjata viallisella CCD-kennolla varustetulla digitaalikameralla otettuja kuvia. Ohjelma muuttaa vain niitä DCT-blokkeja, jotka sisältävät interpoloitavia pikseleitä ja ne pakataan täsmälleen samoilla parametreilla kuin millä alkuperäinen kuvakin pakattiin. Kuvan laatu huononee siis niin vähän kuin mahdollista.

LÄHDE ja KOHDE ovat lähde- ja kohdekuvatiedostojen nimiä. Kumpikin voidaan korvata merkillä -, joka tarkoittaa stdin- ja/tai stdout-laitetta.

Kohdetiedoston nimen jälkeen voi tulla miten monta pikseli- tai pikseli-alue-määritystä tahansa. Määritys alkaa valinnaisella suuntamerkinnällä (D), joka voi olla 2 2-ulotteiselle interpolaatiolle (oletusarvo), V tai v 1-ulotteiselle pystysuuntaiselle interpolaatiolle (esim. vaakasuorien raitojen poistoon), tai H tai h 1-ulotteiselle vaakasuuntaiselle interpolaatiolle. X,Y määräävät pikselin tai pikseli-alueen vasemman yläkulman paikan. S on pikselialueen koko (oletuksena 1). Alueelle voi vaihtoisesti määrätä erikseen leveyden (SX) ja korkeuden (SY).

Numerot (X, Y, S, SX, SY) voivat olla absoluuttisia koordinaatteja/kokoja tai prosenttiosuuksia koko kuvasta. Jos numeron perässä on prosenttimerkki (%), se tulkitaan prosenttiosuudeksi ja muussa tapauksessa absoluuttiseksi arvoksi.

VALITSIMET

-f TIEDOSTO, --blocks-file=TIEDOSTO
    Lukee pikseli-alueiden määritykset komentorivin lisäksi tiedostosta TIEDOSTO
     Tiedostossa kuuluu olla yksi määritys ([D:]X,Y[,S]|[,SX,SY]) riviä kohti. Tyjät rivit ohitetaan. Tiedostossa voi olla myös kommentteja, jotka alkavat risuaidalla (#) ja jatkuvat rivin loppuun saakka.

-m MENETELMÄ, --method=MENETELMÄ
    Käyttää interpolointimenetelmää MENETELMÄ (oletus: linear). Lue alempaa kohta INTERPOLOINTIMENETELMÄT.

-v, --verbose
    Näyttää interpoloitavien alueiden koot ja koordinaatit.

-i, --info
    Näyttää tietoja kuvasta. Esim. kuvan koko, pakkauksessa käytetty väriavaruus ja eri komponenttien näytteistystaajuudet.

-s, --strip
    Ei kopioi kommentteja eikä lisämerkintöjä lähdekuvasta kohdekuvaan. Tämä valitsin poistaa esikatselukuvat, EXIF-lohkot ja muut vastaavat tiedot.

--help
    Näyttää lyhyen opasteen ja poistuu.

--version
    Näyttää viersiotiedot ja poistuu.

INTERPOLAATIOMENETELMÄT

0, av, average
    Pikselialueen ympärillä olevista pikseleistä lasketaan keskiarvo. Kaikki alueen sisään jäävät pikselit korvataan tuloksella. Yksiulotteisen interpolaation tapauksessa keskiarvo lasketaan erikseen jokaiselle vaaka- tai pystysuoran juovan pikselille.

1, li, linear
    Alueesta etäisyydellä 1 olevista pikseleistä muodostetaan bilineaarinen pinta (2-ulotteinen) tai ryhmä lineaarisia käyriä (1-ulotteinen), joita käytetään alueen sisään jäävien pikselien värin määräämiseen.

2, qu, quadratic
    Alueesta etäisyydellä 1 olevista pikseleistä muodostetaan bi-neliöllinen pinta (2-ulotteinen) tai ryhmä toisen asteen käyriä (1-ulotteinen), joita käytetään alueen sisään jäävien pikselien värin määräämiseen.

3, cu, cubic
    Alueesta etäisyydellä 1 olevista pikseleistä muodostetaan bi-kuutiollinen pinta (2-ulotteinen) tai ryhmä kolmannen asteen käyriä (1-ulotteinen), joita käytetään alueen sisään jäävien pikselien värin määräämiseen.

VIAT
Vioista voi ilmoittaa (englanniksi) osoitteeseen <martin-jpegpixi@zero-based.org>.

TEKIJÄNOIKEUDET
Copyright © 2002, 2003, 2004, 2005 Martin Dickopp

Takuuta EI ole; ei edes MYYNTIKUNNOSTA tai SOVELTUVUUDESTA TIETTYYN TARKOITUKSEEN. Voit levittää ohjelmasta kopioita GNU General Public Licensen mukaisesti. Tiedostosta COPYING löydät lisätietoja näistä seikoista.

Ohjeen suomenkielisen käännöksen tekijänoikeus on © 2004 Jarno Elonen <elonen@iki.fi>.

KATSO MYÖS
jpeghotp(1)

Jpegpixi:n kotisivu: http://www.zero-based.org/software/jpegpixi/